List wallets | Moov Documentation
List wallets
List the wallets associated with a Moov account.
Read our Moov wallets guide to learn more.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/wallets.read scope.
GET
/accounts/{accountID}/wallets
Ask
curl -X GET "https://api.moov.io/accounts/{accountID}/wallets" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
mc, _ := moov.NewClient()
var accountID string
mc.ListWallets(ctx, accountID)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.wallets.list({
skip: 60,
count: 20,
accountID: "25221c3c-8e3f-40db-8570-66d17b51014d",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$request = new Operations\ListWalletsRequest(
skip: 60,
count: 20,
accountID: '25221c3c-8e3f-40db-8570-66d17b51014d',
);
$response = $sdk->wallets->list(
request: $request
);
if ($response->wallets !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.ListWalletsValidationError;
import io.moov.sdk.models.operations.ListWalletsRequest;
import io.moov.sdk.models.operations.ListWalletsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws ListWalletsValidationError, Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListWalletsRequest req = ListWalletsRequest.builder()
.accountID("25221c3c-8e3f-40db-8570-66d17b51014d")
.skip(60L)
.count(20L)
.build();
ListWalletsResponse res = sdk.wallets().list()
.request(req)
.call();
if (res.wallets().isPresent()) {
System.out.println(res.wallets().get());
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.wallets.list(account_id="25221c3c-8e3f-40db-8570-66d17b51014d", skip=60, count=20)
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
req = Models::Operations::ListWalletsRequest.new(
skip: 60,
count: 20,
account_id: '25221c3c-8e3f-40db-8570-66d17b51014d'
)
res = s.wallets.list(request: req)
unless res.wallets.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
using Moov.Sdk.Models.Requests;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
ListWalletsRequest req = new ListWalletsRequest() {
Skip = 60,
Count = 20,
AccountID = "25221c3c-8e3f-40db-8570-66d17b51014d",
};
var res = await sdk.Wallets.ListAsync(req);
// handle response
The request completed successfully.